import { TransactionalLogger } from '../common/logger';
import { StoredTransactionalMessage } from '../message/transactional-message';
import { PollingListenerConfig } from './config';
interface QueryResult {
    rowCount: number | null;
    rows: any[];
}
interface Queryable {
    query(queryTextOrConfig: string, values?: any[]): Promise<QueryResult>;
}
/**
 * Gets the next inbox messages from the database and sets the locked_until
 * @param maxMessages The maximum number of messages to fetch.
 * @param client The database client to use for the query.
 * @param settings The settings object for the inbox table and function name.
 * @param logger The logger to use for logging.
 * @returns A promise that resolves to the query result object.
 */
export declare const getNextInboxMessages: (maxMessages: number, client: Queryable, settings: PollingListenerConfig, logger: TransactionalLogger) => Promise<StoredTransactionalMessage[]>;
export {};
//# sourceMappingURL=next-messages.d.ts.map